using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


public class Inventory : MonoBehaviour
{
    public static Inventory instance;

    public List<Item> content = new List<Item>();
    
    private void Awake(){
        if(instance != null)
            return;
        instance = this;
    }

    public void addItem(Item item){
        if (content.Contains(item))
        {
            Debug.LogWarning("Vous possdez dj un " + item.name + " dans votre inventaire.");
        }
        else
        {
            content.Add(item);
        }
    }

    public bool hasItem(Item item)
    {
        if (content.Contains(item))
            return true;
        else
            return false;
    }

    public List<Item> getItemList()
    {
        return this.content;
    }

}
